Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## convert.relaxng.parse.compact
Interface CompactSyntaxConstants

All Known Implementing Classes:
  CompactSyntax, CompactSyntaxTokenManager

    public interface CompactSyntaxConstants

Token literal values and constants. Generated by org.javacc.parser.OtherFilesGen#start()

Field Summary
`static int` | `AFTER_DOCUMENTATION` Lexical state.
`static int` | `AFTER_SINGLE_LINE_COMMENT` Lexical state.
`static int` | `BASE_CHAR` RegularExpression Id.
`static int` | `COMBINING_CHAR` RegularExpression Id.
`static int` | `DEFAULT` Lexical state.
`static int` | `DIGIT` RegularExpression Id.
`static int` | `DOCUMENTATION` RegularExpression Id.
`static int` | `DOCUMENTATION_AFTER_SINGLE_LINE_COMMENT` RegularExpression Id.
`static int` | `DOCUMENTATION_CONTINUE` RegularExpression Id.
`static int` | `EOF` End of File.
`static int` | `ESCAPED_IDENTIFIER` RegularExpression Id.
`static int` | `EXTENDER` RegularExpression Id.
`static int` | `FANNOTATE` RegularExpression Id.
`static int` | `IDENTIFIER` RegularExpression Id.
`static int` | `IDEOGRAPHIC` RegularExpression Id.
`static int` | `ILLEGAL_CHAR` RegularExpression Id.
`static int` | `LETTER` RegularExpression Id.
`static int` | `LITERAL` RegularExpression Id.
`static int` | `NCNAME` RegularExpression Id.
`static int` | `NEWLINE` RegularExpression Id.
`static int` | `NMCHAR` RegularExpression Id.
`static int` | `NMSTART` RegularExpression Id.
`static int` | `NOT_NEWLINE` RegularExpression Id.
`static int` | `PREFIX_STAR` RegularExpression Id.
`static int` | `PREFIXED_NAME` RegularExpression Id.
`static int` | `SINGLE_LINE_COMMENT` RegularExpression Id.
`static int` | `SINGLE_LINE_COMMENT_CONTINUE` RegularExpression Id.
`static java.lang.String[]` | `tokenImage` Literal token values.
`static int` | `WS` RegularExpression Id.

Field Detail

### EOF

    static final int EOF

  End of File.

  See Also:
    Constant Field Values

### NEWLINE

    static final int NEWLINE

  RegularExpression Id.

  See Also:
    Constant Field Values

### NOT_NEWLINE

    static final int NOT_NEWLINE

  RegularExpression Id.

  See Also:
    Constant Field Values

### WS

    static final int WS

  RegularExpression Id.

  See Also:
    Constant Field Values

### DOCUMENTATION

    static final int DOCUMENTATION

  RegularExpression Id.

  See Also:
    Constant Field Values

### DOCUMENTATION_CONTINUE

    static final int DOCUMENTATION_CONTINUE

  RegularExpression Id.

  See Also:
    Constant Field Values

### SINGLE_LINE_COMMENT

    static final int SINGLE_LINE_COMMENT

  RegularExpression Id.

  See Also:
    Constant Field Values

### DOCUMENTATION_AFTER_SINGLE_LINE_COMMENT

    static final int DOCUMENTATION_AFTER_SINGLE_LINE_COMMENT

  RegularExpression Id.

  See Also:
    Constant Field Values

### SINGLE_LINE_COMMENT_CONTINUE

    static final int SINGLE_LINE_COMMENT_CONTINUE

  RegularExpression Id.

  See Also:
    Constant Field Values

### BASE_CHAR

    static final int BASE_CHAR

  RegularExpression Id.

  See Also:
    Constant Field Values

### IDEOGRAPHIC

    static final int IDEOGRAPHIC

  RegularExpression Id.

  See Also:
    Constant Field Values

### LETTER

    static final int LETTER

  RegularExpression Id.

  See Also:
    Constant Field Values

### COMBINING_CHAR

    static final int COMBINING_CHAR

  RegularExpression Id.

  See Also:
    Constant Field Values

### DIGIT

    static final int DIGIT

  RegularExpression Id.

  See Also:
    Constant Field Values

### EXTENDER

    static final int EXTENDER

  RegularExpression Id.

  See Also:
    Constant Field Values

### NMSTART

    static final int NMSTART

  RegularExpression Id.

  See Also:
    Constant Field Values

### NMCHAR

    static final int NMCHAR

  RegularExpression Id.

  See Also:
    Constant Field Values

### NCNAME

    static final int NCNAME

  RegularExpression Id.

  See Also:
    Constant Field Values

### IDENTIFIER

    static final int IDENTIFIER

  RegularExpression Id.

  See Also:
    Constant Field Values

### ESCAPED_IDENTIFIER

    static final int ESCAPED_IDENTIFIER

  RegularExpression Id.

  See Also:
    Constant Field Values

### PREFIX_STAR

    static final int PREFIX_STAR

  RegularExpression Id.

  See Also:
    Constant Field Values

### PREFIXED_NAME

    static final int PREFIXED_NAME

  RegularExpression Id.

  See Also:
    Constant Field Values

### LITERAL

    static final int LITERAL

  RegularExpression Id.

  See Also:
    Constant Field Values

### FANNOTATE

    static final int FANNOTATE

  RegularExpression Id.

  See Also:
    Constant Field Values

### ILLEGAL_CHAR

    static final int ILLEGAL_CHAR

  RegularExpression Id.

  See Also:
    Constant Field Values

### DEFAULT

    static final int DEFAULT

  Lexical state.

  See Also:
    Constant Field Values

### AFTER_SINGLE_LINE_COMMENT

    static final int AFTER_SINGLE_LINE_COMMENT

  Lexical state.

  See Also:
    Constant Field Values

### AFTER_DOCUMENTATION

    static final int AFTER_DOCUMENTATION

  Lexical state.

  See Also:
    Constant Field Values

### tokenImage

    static final java.lang.String[] tokenImage

  Literal token values.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD